aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2025-04-30 11:22:07 -0300
committerEuAndreh <eu@euandre.org>2025-04-30 11:22:30 -0300
commit5a09ec5bd93aae90e562a40cefbe50128ae0ac98 (patch)
tree7f116bd6eb7ec02022f9b688ba14cb0caa79cf8e
parentetc/guix/home.scm: Add "poedit" package (diff)
downloaddotfiles-5a09ec5bd93aae90e562a40cefbe50128ae0ac98.tar.gz
dotfiles-5a09ec5bd93aae90e562a40cefbe50128ae0ac98.tar.xz
bin/status: Add ugly, but working version
-rwxr-xr-xbin/status9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/status b/bin/status
new file mode 100755
index 0000000..9e4e888
--- /dev/null
+++ b/bin/status
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+repos ~/src |
+ xargs -P`nproc` -I{} sh -c "cd \$0 &&
+ printf '%s\t%s\n' \\
+ \"\$(color -c yellowb \"\$PWD\" |
+ sed \"s|\$HOME|~|\")\" \\
+ \"\$(vcs ps1)\"" {}